/*
 * Copyright 2010,2011 Matthias Haag, Jens Rehsack
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __SMART_SNMPD_OIDS_H_INCLUDED__
#define __SMART_SNMPD_OIDS_H_INCLUDED__

#define MIB_INET							"1.3.6.1"
#define MIB_DIRECTORY				MIB_INET		".1"
#define MIB_MGMT				MIB_INET		".2"

#define MIB_II					MIB_MGMT		".1"

#define MIB_SYSTEM				MIB_II			".1"

#define SYS_DESCRIPTION				MIB_SYSTEM              ".1"
#define SYS_OBJECT_ID				MIB_SYSTEM              ".2"
#define SYS_UPTIME				MIB_SYSTEM              ".3"
#define SYS_CONTACT				MIB_SYSTEM              ".4"
#define SYS_NAME				MIB_SYSTEM              ".5"
#define SYS_LOCATION				MIB_SYSTEM              ".6"
#define SYS_SERVICES				MIB_SYSTEM		".7"

#define MIB_INTERFACES				MIB_II			".2"
#define MIB_AT					MIB_II			".3"
#define MIB_IP					MIB_II			".4"
#define MIB_ICMP				MIB_II			".5"
#define MIB_TCP					MIB_II			".6"
#define MIB_UDP					MIB_II			".7"
#define MIB_EGP					MIB_II			".8"
#define MIB_TRANSMISSION			MIB_II			".10"
#define MIB_SNMP				MIB_II			".11"

#define MIB_HOST				MIB_II			".25"

#define HR_SYSTEM_MIB				MIB_HOST		".1"

#define HR_SYSTEM_UPTIME			HR_SYSTEM_MIB		".1"
#define HR_SYSTEM_DATE				HR_SYSTEM_MIB		".2"
#define HR_SYSTEM_INITIAL_LOAD_DEVICE		HR_SYSTEM_MIB		".3"
#define HR_SYSTEM_INITIAL_LOAD_PARAMETERS	HR_SYSTEM_MIB		".4"
#define HR_SYSTEM_NUM_USERS			HR_SYSTEM_MIB		".5"
#define HR_SYSTEM_PROCESSES			HR_SYSTEM_MIB		".6"
#define HR_SYSTEM_MAX_PROCESSES			HR_SYSTEM_MIB		".7"

#define HR_STORAGE_MIB				MIB_HOST		".2"

#define HR_MEMORY_SIZE				HR_STORAGE_MIB		".2"
#define HR_STORAGE_TABLE			HR_STORAGE_MIB		".3"
#define HR_STORAGE_ENTRY			HR_STORAGE_TABLE	".1"

#define HR_STORAGE_INDEX			HR_STORAGE_ENTRY	".1"
#define HR_STORAGE_TYPE				HR_STORAGE_ENTRY	".2"
#define HR_STORAGE_DESCR			HR_STORAGE_ENTRY	".3"
#define HR_STORAGE_ALLOC_UNITS			HR_STORAGE_ENTRY	".4"
#define HR_STORAGE_SIZE				HR_STORAGE_ENTRY	".5"
#define HR_STORAGE_USED				HR_STORAGE_ENTRY	".6"
#define HR_STORAGE_ALLOC_FAILURES		HR_STORAGE_ENTRY	".7"

#define HR_DEVICE_MIB				MIB_HOST		".3"

#define HR_DEVICE_TYPES				HR_DEVICE_MIB		".1"
#define HR_DEVICE_TABLE				HR_DEVICE_MIB		".2"
#define HR_DEVICE_ENTRY				HR_DEVICE_TABLE		".1"
#define HR_DEVICE_INDEX				HR_DEVICE_ENTRY		".1"
#define HR_DEVICE_TYPE				HR_DEVICE_ENTRY		".2"
#define HR_DEVICE_DESCR				HR_DEVICE_ENTRY		".3"
#define HR_DEVICE_ID				HR_DEVICE_ENTRY		".4"
#define HR_DEVICE_STATUS			HR_DEVICE_ENTRY		".5"
#define HR_DEVICE_ERRORS			HR_DEVICE_ENTRY		".6"

#define HR_PROCESSOR_TABLE			HR_DEVICE_MIB		".3"
#define HR_PROCESSOR_ENTRY			HR_PROCESSOR_TABLE	".1"
#define HR_PROCESSOR_FRWID			HR_PROCESSOR_ENTRY	".1"
#define HR_PROCESSOR_LOAD			HR_PROCESSOR_ENTRY	".2"

#define HR_NETWORK_TABLE			HR_DEVICE_MIB		".4"
#define HR_NETWORK_ENTRY			HR_NETWORK_TABLE	".1"
#define HR_NETWORK_IF_INDEX			HR_NETWORK_ENTRY	".1"

#define HR_PRINTER_TABLE			HR_DEVICE_MIB		".5"
#define HR_PRINTER_ENTRY			HR_PRINTER_TABLE	".1"
#define HR_PRINTER_STATUS			HR_PRINTER_ENTRY	".1"
#define HR_PRINTER_DETECTED_ERROR_STATE		HR_PRINTER_ENTRY	".2"

#define HR_DISK_STORAGE_TABLE			HR_DEVICE_MIB		".6"
#define HR_DISK_STORAGE_ENTRY			HR_DISK_STORAGE_TABLE	".1"
#define HR_DISK_STORAGE_ACCESS			HR_DISK_STORAGE_ENTRY	".1"
#define HR_DISK_STORAGE_MEDIA			HR_DISK_STORAGE_ENTRY	".2"
#define HR_DISK_STORAGE_REMOVABLE		HR_DISK_STORAGE_ENTRY	".3"
#define HR_DISK_STORAGE_CAPACITY		HR_DISK_STORAGE_ENTRY	".4"

#define HR_PARTITION_TABLE			HR_DEVICE_MIB		".7"
#define HR_PARTITION_ENTRY			HR_PARTITION_TABLE	".1"
#define HR_PARTITION_INDEX			HR_PARTITION_ENTRY	".1"
#define HR_PARTITION_LABEL			HR_PARTITION_ENTRY	".2"
#define HR_PARTITION_ID				HR_PARTITION_ENTRY	".3"
#define HR_PARTITION_SIZE			HR_PARTITION_ENTRY	".4"
#define HR_PARTITION_FSINDEX			HR_PARTITION_ENTRY	".5"

#define HR_FILESYSTEM_TABLE			HR_DEVICE_MIB		".8"
#define HR_FILESYSTEM_ENTRY			HR_FILESYSTEM_TABLE	".1"
#define HR_FILESYSTEM_INDEX			HR_FILESYSTEM_ENTRY	".1"
#define HR_FILESYSTEM_MOUNTPOINT		HR_FILESYSTEM_ENTRY	".2"
#define HR_FILESYSTEM_REMOTE_MOUNTPOINT		HR_FILESYSTEM_ENTRY	".3"
#define HR_FILESYSTEM_TYPE			HR_FILESYSTEM_ENTRY	".4"
#define HR_FILESYSTEM_ACCESS			HR_FILESYSTEM_ENTRY	".5"
#define HR_FILESYSTEM_BOOTABLE			HR_FILESYSTEM_ENTRY	".6"
#define HR_FILESYSTEM_STORAGE_INDEX		HR_FILESYSTEM_ENTRY	".7"
#define HR_FILESYSTEM_LAST_FULL_BACKUP_DATE	HR_FILESYSTEM_ENTRY	".8"
#define HR_FILESYSTEM_LAST_PARTIAL_BACKUP_DATE	HR_FILESYSTEM_ENTRY	".9"

#define HR_FILESYSTEM_TYPES			HR_DEVICE_MIB		".9"

#define HR_SWRUN_MIB				MIB_HOST		".4"

#define HR_SW_OS_INDEX				HR_SWRUN_MIB		".1"

#define HR_SWRUN_TABLE				HR_SWRUN_MIB		".2"
#define HR_SWRUN_ENTRY				HR_SWRUN_TABLE		".1"
#define HR_SWRUN_INDEX				HR_SWRUN_ENTRY		".1"
#define HR_SWRUN_NAME				HR_SWRUN_ENTRY		".2"
#define HR_SWRUN_ID				HR_SWRUN_ENTRY		".3"
#define HR_SWRUN_PATH				HR_SWRUN_ENTRY		".4"
#define HR_SWRUN_PARAMETERS			HR_SWRUN_ENTRY		".5"
#define HR_SWRUN_TYPE				HR_SWRUN_ENTRY		".6"
#define HR_SWRUN_STATUS				HR_SWRUN_ENTRY		".7"

#define HR_SWRUN_PERF_MIB			MIB_HOST		".5"

#define HR_SWRUN_PERF_TABLE			HR_SWRUN_PERF_MIB	".1"
#define HR_SWRUN_PERF_ENTRY			HR_SWRUN_PERF_TABLE	".1"
#define HR_SWRUN_PERF_CPU			HR_SWRUN_PERF_ENTRY	".1"
#define HR_SWRUN_PERF_MEM			HR_SWRUN_PERF_ENTRY	".2"

#define HR_SWRUN_INSTALLED_MIB			MIB_HOST		".6"

#define HR_SW_INSTALLED_LAST_CHANGE		HR_SWRUN_INSTALLED_MIB	".1"
#define HR_SW_INSTALLED_LAST_UPDATE_TIME	HR_SWRUN_INSTALLED_MIB	".2"
#define HR_SW_INSTALLED_TABLE			HR_SWRUN_INSTALLED_MIB	".3"
#define HR_SW_INSTALLED_ENTRY			HR_SW_INSTALLED_TABLE	".1"
#define HR_SW_INSTALLED_INDEX			HR_SW_INSTALLED_ENTRY	".1"
#define HR_SW_INSTALLED_NAME			HR_SW_INSTALLED_ENTRY	".2"
#define HR_SW_INSTALLED_ID			HR_SW_INSTALLED_ENTRY	".3"
#define HR_SW_INSTALLED_TYPE			HR_SW_INSTALLED_ENTRY	".4"
#define HR_SW_INSTALLED_DATE			HR_SW_INSTALLED_ENTRY	".5"

#define HR_MIB_ADMIN_INFO_MIB			MIB_HOST		".7"

#define MIB_EXPERIMENTAL			MIB_INET		".3"
#define MIB_PRIVATE				MIB_INET		".4"
#define MIB_ENTERPRISE				MIB_PRIVATE		".1"

#define UCDAVIS_MIB				MIB_ENTERPRISE		".2021"

#define UCD_MEMORY				UCDAVIS_MIB		".4"
#define UCD_MEM_INDEX				UCD_MEMORY		".1"
#define UCD_MEM_ERROR_NAME			UCD_MEMORY		".2"
#define UCD_MEM_TOTAL_SWAP			UCD_MEMORY		".3"
#define UCD_MEM_AVAIL_SWAP			UCD_MEMORY		".4"
#define UCD_MEM_TOTAL_REAL			UCD_MEMORY		".5"
#define UCD_MEM_AVAIL_REAL			UCD_MEMORY		".6"
#define UCD_MEM_TOTAL_SWAP_TXT			UCD_MEMORY		".7"
#define UCD_MEM_AVAIL_SWAP_TXT			UCD_MEMORY		".8"
#define UCD_MEM_TOTAL_REAL_TXT			UCD_MEMORY		".9"
#define UCD_MEM_AVAIL_REAL_TXT			UCD_MEMORY		".10"
#define UCD_MEM_TOTAL_FREE			UCD_MEMORY		".11"
#define UCD_MEM_MINIMUM_SWAP			UCD_MEMORY		".12"
#define UCD_MEM_SHARED				UCD_MEMORY		".13"
#define UCD_MEM_BUFFER				UCD_MEMORY		".14"
#define UCD_MEM_CACHED				UCD_MEMORY		".15"
#define UCD_MEM_USED_SWAP_TXT			UCD_MEMORY		".16"
#define UCD_MEM_USED_REAL_TXT			UCD_MEMORY		".17"

#define UCD_LOAD_TABLE				UCDAVIS_MIB		".10"
#define UCD_LA_ENTRY				UCD_LOAD_TABLE		".1"
#define UCD_LA_INDEX				UCD_LA_ENTRY		".1"
#define UCD_LA_NAMES				UCD_LA_ENTRY		".2"
#define UCD_LA_LOAD				UCD_LA_ENTRY		".3"
#define UCD_LA_CONFIG				UCD_LA_ENTRY		".4"
#define UCD_LA_LOAD_INT				UCD_LA_ENTRY		".5"
#define UCD_LA_LOAD_FLOAT			UCD_LA_ENTRY		".6"
#define UCD_LA_ERROR_FLAG			UCD_LA_ENTRY		".100"
#define UCD_LA_ERROR_MESSAGE			UCD_LA_ENTRY		".101"

#define UCD_SYSTEM_STATS			UCDAVIS_MIB		".11"
#define UCD_SS_INDEX				UCD_SYSTEM_STATS	".1"
#define UCD_SS_ERROR_NAME			UCD_SYSTEM_STATS	".2"
#define UCD_SS_SWAP_IN				UCD_SYSTEM_STATS	".3"
#define UCD_SS_SWAP_OUT				UCD_SYSTEM_STATS	".4"
#define UCD_SS_IO_SENT				UCD_SYSTEM_STATS	".5"
#define UCD_SS_IO_RECEIVE			UCD_SYSTEM_STATS	".6"
#define UCD_SS_SYS_INTERRUPTS			UCD_SYSTEM_STATS	".7"
#define UCD_SS_SYS_CONTEXT			UCD_SYSTEM_STATS	".8"
#define UCD_SS_CPU_USER				UCD_SYSTEM_STATS	".9"
#define UCD_SS_CPU_SYSTEM			UCD_SYSTEM_STATS	".10"
#define UCD_SS_CPU_IDLE				UCD_SYSTEM_STATS	".11"
#define UCD_SS_CPU_RAW_USER			UCD_SYSTEM_STATS	".50"
#define UCD_SS_CPU_RAW_NICE			UCD_SYSTEM_STATS	".51"
#define UCD_SS_CPU_RAW_SYSTEM			UCD_SYSTEM_STATS	".52"
#define UCD_SS_CPU_RAW_IDLE			UCD_SYSTEM_STATS	".53"
#define UCD_SS_CPU_RAW_WAIT			UCD_SYSTEM_STATS	".54"
#define UCD_SS_CPU_RAW_KERNEL			UCD_SYSTEM_STATS	".55"
#define UCD_SS_CPU_RAW_INTERRUPT		UCD_SYSTEM_STATS	".56"
#define UCD_SS_IO_RAW_SENT			UCD_SYSTEM_STATS	".57"
#define UCD_SS_IO_RAW_RECEIVED			UCD_SYSTEM_STATS	".58"
#define UCD_SS_RAW_INTERRUPTS			UCD_SYSTEM_STATS	".59"
#define UCD_SS_RAW_CONTEXTS			UCD_SYSTEM_STATS	".60"
#define UCD_SS_CPU_RAW_SOFT_IRQ			UCD_SYSTEM_STATS	".61"
#define UCD_SS_RAW_SWAP_IN			UCD_SYSTEM_STATS	".62"
#define UCD_SS_WAW_SWAP_OUT			UCD_SYSTEM_STATS	".63"

#define SM_SMART_SNMPD_MIB			MIB_ENTERPRISE		".36539"

#define SM_MIB_OBJECTS				SM_SMART_SNMPD_MIB	".10"
#define SM_LAST_UPDATE_MIB_KEY						".1"
#define SM_TABLE_ENTRY_KEY						".1"

#define SM_DAEMON_STATUS			SM_MIB_OBJECTS		".1"
#define SM_LAST_UPDATE_DAEMON_STATUS		SM_DAEMON_STATUS	SM_LAST_UPDATE_MIB_KEY
#define SM_INITIAL_VIRTUAL_MEMORY_USAGE_KEY				".2"
#define SM_INITIAL_VIRTUAL_MEMORY_USAGE		SM_DAEMON_STATUS	SM_INITIAL_VIRTUAL_MEMORY_USAGE
#define SM_INITIAL_RESIDENT_MEMORY_USAGE_KEY				".3"
#define SM_INITIAL_RESIDENT_MEMORY_USAGE	SM_DAEMON_STATUS	SM_INITIAL_RESIDENT_MEMORY_USAGE_KEY
#define SM_MEAN_VIRTUAL_MEMORY_USAGE_KEY				".4"
#define SM_MEAN_VIRTUAL_MEMORY_USAGE		SM_DAEMON_STATUS	SM_MEAN_VIRTUAL_MEMORY_USAGE_KEY
#define SM_MEAN_RESIDENT_MEMORY_USAGE_KEY				".5"
#define SM_MEAN_RESIDENT_MEMORY_USAGE		SM_DAEMON_STATUS	SM_MEAN_RESIDENT_MEMORY_USAGE_KEY
#define SM_CURRENT_VIRTUAL_MEMORY_USAGE_KEY				".6"
#define SM_CURRENT_VIRTUAL_MEMORY_USAGE		SM_DAEMON_STATUS	SM_CURRENT_VIRTUAL_MEMORY_USAGE_KEY
#define SM_CURRENT_RESIDENT_MEMORY_USAGE_KEY				".7"
#define SM_CURRENT_RESIDENT_MEMORY_USAGE	SM_DAEMON_STATUS	SM_CURRENT_RESIDENT_MEMORY_USAGE_KEY
#define SM_CURRENT_VIRTUAL_MEMORY_INCREASES_KEY				".8"
#define SM_CURRENT_VIRTUAL_MEMORY_INCREASES	SM_DAEMON_STATUS	SM_CURRENT_VIRTUAL_MEMORY_INCREASES_KEY
#define SM_CURRENT_RESIDENT_MEMORY_INCREASES_KEY			".9"
#define SM_CURRENT_RESIDENT_MEMORY_INCREASES	SM_DAEMON_STATUS	SM_CURRENT_RESIDENT_MEMORY_INCREASES_KEY
#define SM_HANDLED_REQUESTS_KEY						".10"
#define SM_HANDLED_REQUESTS			SM_DAEMON_STATUS	SM_HANDLED_REQUESTS_KEY
#define SM_DAEMON_UPTIME_KEY						".11"
#define SM_DAEMON_UPTIME			SM_DAEMON_STATUS	SM_DAEMON_UPTIME_KEY
#define SM_DAEMON_CPUTIME_KEY						".12"
#define SM_DAEMON_CPUTIME			SM_DAEMON_STATUS	SM_DAEMON_CPUTIME_KEY
#define SM_MEAN_VIRTUAL_MEMORY_VIOLATIONS_KEY				".13"
#define SM_MEAN_VIRTUAL_MEMORY_VIOLATIONS	SM_DAEMON_STATUS	SM_MEAN_VIRTUAL_MEMORY_VIOLATIONS_KEY
#define SM_MEAN_RESIDENT_MEMORY_VIOLATIONS_KEY				".14"
#define SM_MEAN_RESIDENT_MEMORY_VIOLATIONS	SM_DAEMON_STATUS	SM_MEAN_RESIDENT_MEMORY_VIOLATIONS_KEY
#define SM_MEAN_VIRTUAL_MEMORY_ERR_OK_KEY				".15"
#define SM_MEAN_VIRTUAL_MEMORY_ERR_OK		SM_DAEMON_STATUS	SM_MEAN_VIRTUAL_MEMORY_ERR_OK_KEY
#define SM_MEAN_RESIDENT_MEMORY_ERR_OK_KEY				".16"
#define SM_MEAN_RESIDENT_MEMORY_ERR_OK		SM_DAEMON_STATUS	SM_MEAN_RESIDENT_MEMORY_ERR_OK_KEY

#define SM_HOST_INFO				SM_MIB_OBJECTS		".2"
#define SM_LAST_UPDATE_HOST_INFO		SM_HOST_INFO		SM_LAST_UPDATE_MIB_KEY
#define SM_HOSTNAME_KEY							".2"
#define SM_HOSTNAME				SM_HOST_INFO		SM_HOSTNAME_KEY
#define SM_HOST_OS_NAME_KEY						".3"
#define SM_HOST_OS_NAME				SM_HOST_INFO		SM_HOST_OS_NAME_KEY
#define SM_HOST_OS_RELEASE_KEY						".4"
#define SM_HOST_OS_RELEASE			SM_HOST_INFO		SM_HOST_OS_RELEASE_KEY
#define SM_HOST_OS_VERSION_KEY						".5"
#define SM_HOST_OS_VERSION			SM_HOST_INFO		SM_HOST_OS_VERSION_KEY
#define SM_HOST_PLATFORM_KEY						".6"
#define SM_HOST_PLATFORM			SM_HOST_INFO		SM_HOST_PLATFORM_KEY
#define SM_HOST_UPTIME_KEY						".7"
#define SM_HOST_UPTIME				SM_HOST_INFO		SM_HOST_UPTIME_KEY
#define SM_HOST_BITWIDTH_KEY						".8"
#define SM_HOST_BITWIDTH			SM_HOST_INFO		SM_HOST_BITWIDTH_KEY
#define SM_HOST_VIRTUALIZED_KEY						".9"
#define SM_HOST_VIRTUALIZED			SM_HOST_INFO		SM_HOST_VIRTUALIZED_KEY
#define SM_HOST_CPU_STATUS_KEY						".10"
#define SM_HOST_CPU_COUNT_MIN_KEY		SM_HOST_CPU_STATUS_KEY	".1"
#define SM_HOST_CPU_COUNT_MIN			SM_HOST_CPU_STATUS	SM_HOST_CPU_COUNT_MIN_KEY
#define SM_HOST_CPU_COUNT_MAX_KEY		SM_HOST_CPU_STATUS_KEY	".2"
#define SM_HOST_CPU_COUNT_MAX			SM_HOST_CPU_STATUS	SM_HOST_CPU_COUNT_MAX_KEY
#define SM_HOST_CPU_COUNT_CURRENT_KEY		SM_HOST_CPU_STATUS_KEY	".3"
#define SM_HOST_CPU_COUNT_CURRENT		SM_HOST_CPU_STATUS	SM_HOST_CPU_COUNT_CURRENT_KEY

#define SM_CPU_USAGE				SM_MIB_OBJECTS		".3"
#define SM_LAST_UPDATE_CPU_USAGE		SM_CPU_USAGE		SM_LAST_UPDATE_MIB_KEY
#define SM_CPU_INTERVAL_FROM_KEY					".2"
#define SM_CPU_INTERVAL_FROM			SM_CPU_USAGE		SM_CPU_INTERVAL_FROM_KEY
#define SM_CPU_INTERVAL_UNTIL_KEY					".3"
#define SM_CPU_INTERVAL_UNTIL			SM_CPU_USAGE		SM_CPU_INTERVAL_UNTIL_KEY
#define SM_CPU_TOTAL_KEY						".4"
#define SM_CPU_USER_TIME_TOTAL_KEY		SM_CPU_TOTAL_KEY	".1"
#define SM_CPU_USER_TIME_TOTAL			SM_CPU_USAGE		SM_CPU_USER_TIME_TOTAL_KEY
#define SM_CPU_KERNEL_TIME_TOTAL_KEY		SM_CPU_TOTAL_KEY	".2"
#define SM_CPU_KERNEL_TIME_TOTAL		SM_CPU_USAGE		SM_CPU_KERNEL_TIME_TOTAL_KEY
#define SM_CPU_IDLE_TIME_TOTAL_KEY		SM_CPU_TOTAL_KEY	".3"
#define SM_CPU_IDLE_TIME_TOTAL			SM_CPU_USAGE		SM_CPU_IDLE_TIME_TOTAL_KEY
#define SM_CPU_WAIT_TIME_TOTAL_KEY		SM_CPU_TOTAL_KEY	".4"
#define SM_CPU_WAIT_TIME_TOTAL			SM_CPU_USAGE		SM_CPU_WAIT_TIME_TOTAL_KEY
#define SM_CPU_SWAP_TIME_TOTAL_KEY		SM_CPU_TOTAL_KEY	".5"
#define SM_CPU_SWAP_TIME_TOTAL			SM_CPU_USAGE		SM_CPU_SWAP_TIME_TOTAL_KEY
#define SM_CPU_NICE_TIME_TOTAL_KEY		SM_CPU_TOTAL_KEY	".6"
#define SM_CPU_NICE_TIME_TOTAL			SM_CPU_USAGE		SM_CPU_NICE_TIME_TOTAL_KEY
#define SM_CPU_TOTAL_TIME_TOTAL_KEY		SM_CPU_TOTAL_KEY	".7"
#define SM_CPU_TOTAL_TIME_TOTAL			SM_CPU_USAGE		SM_CPU_TOTAL_TIME_TOTAL_KEY
#define SM_CPU_CONTEXT_SWITCHES_TOTAL_KEY	SM_CPU_TOTAL_KEY	".8"
#define SM_CPU_CONTEXT_SWITCHES_TOTAL		SM_CPU_USAGE		SM_CPU_CONTEXT_SWITCHES_TOTAL_KEY
#define SM_CPU_INVOL_CTX_SWITCHES_TOTAL_KEY	SM_CPU_TOTAL_KEY	".9"
#define SM_CPU_INVOL_CTX_SWITCHES_TOTAL		SM_CPU_USAGE		SM_CPU_INVOL_CTX_SWITCHES_TOTAL_KEY
#define SM_CPU_VOLUNTARY_CTX_SWITCHES_TOTAL_KEY	SM_CPU_TOTAL_KEY	".10"
#define SM_CPU_VOLUNTARY_CTX_SWITCHES_TOTAL	SM_CPU_USAGE		SM_CPU_VOLUNTARY_CTX_SWITCHES_TOTAL_KEY
#define SM_CPU_INTERRUPTS_TOTAL_KEY		SM_CPU_TOTAL_KEY	".11"
#define SM_CPU_INTERRUPTS_TOTAL			SM_CPU_USAGE		SM_CPU_INTERRUPTS_TOTAL_KEY
#define SM_CPU_SOFT_INTERRUPTS_TOTAL_KEY	SM_CPU_TOTAL_KEY	".12"
#define SM_CPU_SOFT_INTERRUPTS_TOTAL		SM_CPU_USAGE		SM_CPU_SOFT_INTERRUPTS_TOTAL_KEY
#define SM_CPU_INTERVAL_KEY						".5"
#define SM_CPU_USER_TIME_INTERVAL_KEY		SM_CPU_INTERVAL_KEY	".1"
#define SM_CPU_USER_TIME_INTERVAL		SM_CPU_USAGE		SM_CPU_USER_TIME_INTERVAL_KEY
#define SM_CPU_KERNEL_TIME_INTERVAL_KEY		SM_CPU_INTERVAL_KEY	".2"
#define SM_CPU_KERNEL_TIME_INTERVAL		SM_CPU_USAGE		SM_CPU_KERNEL_TIME_INTERVAL_KEY
#define SM_CPU_IDLE_TIME_INTERVAL_KEY		SM_CPU_INTERVAL_KEY	".3"
#define SM_CPU_IDLE_TIME_INTERVAL		SM_CPU_USAGE		SM_CPU_IDLE_TIME_INTERVAL_KEY
#define SM_CPU_WAIT_TIME_INTERVAL_KEY		SM_CPU_INTERVAL_KEY	".4"
#define SM_CPU_WAIT_TIME_INTERVAL		SM_CPU_USAGE		SM_CPU_WAIT_TIME_INTERVAL_KEY
#define SM_CPU_SWAP_TIME_INTERVAL_KEY		SM_CPU_INTERVAL_KEY	".5"
#define SM_CPU_SWAP_TIME_INTERVAL		SM_CPU_USAGE		SM_CPU_SWAP_TIME_INTERVAL_KEY
#define SM_CPU_NICE_TIME_INTERVAL_KEY		SM_CPU_INTERVAL_KEY	".6"
#define SM_CPU_NICE_TIME_INTERVAL		SM_CPU_USAGE		SM_CPU_NICE_TIME_INTERVAL_KEY
#define SM_CPU_TOTAL_TIME_INTERVAL_KEY		SM_CPU_INTERVAL_KEY	".7"
#define SM_CPU_TOTAL_TIME_INTERVAL		SM_CPU_USAGE		SM_CPU_TOTAL_TIME_INTERVAL_KEY
#define SM_CPU_CONTEXT_SWITCHES_INTERVAL_KEY	SM_CPU_INTERVAL_KEY	".8"
#define SM_CPU_CONTEXT_SWITCHES_INTERVAL	SM_CPU_USAGE		SM_CPU_CONTEXT_SWITCHES_INTERVAL_KEY
#define SM_CPU_INVOL_CTX_SWITCHES_INTERVAL_KEY	SM_CPU_INTERVAL_KEY	".9"
#define SM_CPU_INVOL_CTX_SWITCHES_INTERVAL	SM_CPU_USAGE		SM_CPU_INVOL_CTX_SWITCHES_INTERVAL_KEY
#define SM_CPU_VOLUNTARY_CTX_SWITCHES_INTERVAL_KEY SM_CPU_INTERVAL_KEY	".10"
#define SM_CPU_VOLUNTARY_CTX_SWITCHES_INTERVAL	SM_CPU_USAGE		SM_CPU_VOLUNTARY_CTX_SWITCHES_INTERVAL_KEY
#define SM_CPU_INTERRUPTS_INTERVAL_KEY		SM_CPU_INTERVAL_KEY	".11"
#define SM_CPU_INTERRUPTS_INTERVAL		SM_CPU_USAGE		SM_CPU_INTERRUPTS_INTERVAL_KEY
#define SM_CPU_SOFT_INTERRUPTS_INTERVAL_KEY	SM_CPU_INTERVAL_KEY	".12"
#define SM_CPU_SOFT_INTERRUPTS_INTERVAL		SM_CPU_USAGE		SM_CPU_SOFT_INTERRUPTS_INTERVAL_KEY

#define SM_MEMORY_USAGE				SM_MIB_OBJECTS		".4"
#define SM_LAST_UPDATE_MEMORY_USAGE		SM_MEMORY_USAGE		SM_LAST_UPDATE_MIB_KEY
#define SM_MEMORY_PHYSICAL_KEY						".2"
#define SM_MEMORY_PHYSICAL			SM_MEMORY_USAGE		SM_MEMORY_PHYSICAL_KEY
#define SM_TOTAL_MEMORY_PHYSICAL_KEY		SM_MEMORY_PHYSICAL_KEY	".1"
#define SM_TOTAL_MEMORY_PHYSICAL		SM_MEMORY_USAGE		SM_TOTAL_MEMORY_PHYSICAL_KEY
#define SM_FREE_MEMORY_PHYSICAL_KEY		SM_MEMORY_PHYSICAL_KEY	".2"
#define SM_FREE_MEMORY_PHYSICAL			SM_MEMORY_USAGE		SM_FREE_MEMORY_PHYSICAL_KEY
#define SM_USED_MEMORY_PHYSICAL_KEY		SM_MEMORY_PHYSICAL_KEY	".3"
#define SM_USED_MEMORY_PHYSICAL			SM_MEMORY_USAGE		SM_USED_MEMORY_PHYSICAL_KEY
#define SM_CACHE_MEMORY_PHYSICAL_KEY		SM_MEMORY_PHYSICAL_KEY	".4"
#define SM_CACHE_MEMORY_PHYSICAL		SM_MEMORY_USAGE		SM_CACHE_MEMORY_PHYSICAL_KEY
#define SM_MEMORY_SWAP_KEY						".3"
#define SM_MEMORY_SWAP				SM_MEMORY_USAGE		SM_MEMORY_SWAP_KEY
#define SM_TOTAL_MEMORY_SWAP_KEY		SM_MEMORY_SWAP_KEY	".1"
#define SM_TOTAL_MEMORY_SWAP			SM_MEMORY_USAGE		SM_TOTAL_MEMORY_SWAP_KEY
#define SM_FREE_MEMORY_SWAP_KEY			SM_MEMORY_SWAP_KEY	".2"
#define SM_FREE_MEMORY_SWAP			SM_MEMORY_USAGE		SM_FREE_MEMORY_SWAP_KEY
#define SM_USED_MEMORY_SWAP_KEY			SM_MEMORY_SWAP_KEY	".3"
#define SM_USED_MEMORY_SWAP			SM_MEMORY_USAGE		SM_USED_MEMORY_SWAP_KEY
#define SM_MEMORY_VIRTUAL_KEY						".4"
#define SM_MEMORY_VIRTUAL			SM_MEMORY_USAGE		".4"
#define SM_TOTAL_MEMORY_VIRTUAL_KEY		SM_MEMORY_VIRTUAL_KEY	".1"
#define SM_TOTAL_MEMORY_VIRTUAL			SM_MEMORY_USAGE		SM_TOTAL_MEMORY_VIRTUAL_KEY
#define SM_FREE_MEMORY_VIRTUAL_KEY		SM_MEMORY_VIRTUAL_KEY	".2"
#define SM_FREE_MEMORY_VIRTUAL			SM_MEMORY_USAGE		SM_FREE_MEMORY_VIRTUAL_KEY
#define SM_USED_MEMORY_VIRTUAL_KEY		SM_MEMORY_VIRTUAL_KEY	".3"
#define SM_USED_MEMORY_VIRTUAL			SM_MEMORY_USAGE		SM_USED_MEMORY_VIRTUAL_KEY

#define SM_SYSTEM_LOAD				SM_MIB_OBJECTS		".5"
#define SM_LAST_UPDATE_SYSTEM_LOAD		SM_SYSTEM_LOAD		SM_LAST_UPDATE_MIB_KEY
#define SM_SYSTEM_LOAD_REAL_KEY						".2"
#define SM_SYSTEM_LOAD_REAL			SM_SYSTEM_LOAD		SM_SYSTEM_LOAD_REAL_KEY
#define SM_SYSTEM_LOAD1_REAL_FLOAT_KEY		SM_SYSTEM_LOAD_REAL_KEY	".1"
#define SM_SYSTEM_LOAD1_REAL_FLOAT		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD1_REAL_FLOAT_KEY
#define SM_SYSTEM_LOAD5_REAL_FLOAT_KEY		SM_SYSTEM_LOAD_REAL_KEY	".5"
#define SM_SYSTEM_LOAD5_REAL_FLOAT		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD5_REAL_FLOAT_KEY
#define SM_SYSTEM_LOAD15_REAL_FLOAT_KEY		SM_SYSTEM_LOAD_REAL_KEY	".15"
#define SM_SYSTEM_LOAD15_REAL_FLOAT		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD15_REAL_FLOAT_KEY
#define SM_SYSTEM_LOAD1_REAL_INTEGER_KEY	SM_SYSTEM_LOAD_REAL_KEY	".101"
#define SM_SYSTEM_LOAD1_REAL_INTEGER		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD1_REAL_INTEGER_KEY
#define SM_SYSTEM_LOAD5_REAL_INTEGER_KEY	SM_SYSTEM_LOAD_REAL_KEY	".105"
#define SM_SYSTEM_LOAD5_REAL_INTEGER		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD5_REAL_INTEGER_KEY
#define SM_SYSTEM_LOAD15_REAL_INTEGER_KEY	SM_SYSTEM_LOAD_REAL_KEY	".115"
#define SM_SYSTEM_LOAD15_REAL_INTEGER		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD15_REAL_INTEGER_KEY
#define SM_SYSTEM_LOAD_NORM_KEY						".3"
#define SM_SYSTEM_LOAD_NORM			SM_SYSTEM_LOAD		SM_SYSTEM_LOAD_NORM_KEY
#define SM_SYSTEM_LOAD1_NORM_FLOAT_KEY		SM_SYSTEM_LOAD_NORM_KEY	".1"
#define SM_SYSTEM_LOAD1_NORM_FLOAT		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD1_NORM_FLOAT_KEY
#define SM_SYSTEM_LOAD5_NORM_FLOAT_KEY		SM_SYSTEM_LOAD_NORM_KEY	".5"
#define SM_SYSTEM_LOAD5_NORM_FLOAT		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD5_NORM_FLOAT_KEY
#define SM_SYSTEM_LOAD15_NORM_FLOAT_KEY		SM_SYSTEM_LOAD_NORM_KEY	".15"
#define SM_SYSTEM_LOAD15_NORM_FLOAT		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD15_NORM_FLOAT_KEY
#define SM_SYSTEM_LOAD1_NORM_INTEGER_KEY	SM_SYSTEM_LOAD_NORM_KEY	".101"
#define SM_SYSTEM_LOAD1_NORM_INTEGER		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD1_NORM_INTEGER_KEY
#define SM_SYSTEM_LOAD5_NORM_INTEGER_KEY	SM_SYSTEM_LOAD_NORM_KEY	".105"
#define SM_SYSTEM_LOAD5_NORM_INTEGER		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD5_NORM_INTEGER_KEY
#define SM_SYSTEM_LOAD15_NORM_INTEGER_KEY	SM_SYSTEM_LOAD_NORM_KEY	".115"
#define SM_SYSTEM_LOAD15_NORM_INTEGER		SM_SYSTEM_LOAD		SM_SYSTEM_LOAD15_NORM_INTEGER_KEY

#define SM_USER_LOGIN_STATUS			SM_MIB_OBJECTS		".6"
#define SM_LAST_UPDATE_USER_LOGIN		SM_USER_LOGIN_STATUS	SM_LAST_UPDATE_MIB_KEY
#define SM_USER_LOGIN_COUNT_KEY						".2"
#define SM_USER_LOGIN_COUNT			SM_USER_LOGIN_STATUS	SM_USER_LOGIN_COUNT_KEY
#define SM_USER_LOGIN_INDEX_KEY						".1"
#define SM_USER_LOGIN_USERNAME_KEY					".2"
#define SM_USER_LOGIN_USERID_KEY					".3"
#define SM_USER_LOGIN_TTY_KEY						".4"
#define SM_USER_LOGIN_LOGIN_TIME_KEY					".5"
#define SM_USER_LOGIN_IDLE_TIME_KEY					".6"
#define SM_USER_LOGIN_JCPU_TIME_KEY					".7"
#define SM_USER_LOGIN_PCPU_TIME_KEY					".8"
#define SM_USER_LOGIN_WHAT_KEY						".9"
#define SM_USER_LOGIN_FROM_KEY						".10"
#define SM_USER_LOGIN_TABLE_KEY						".3"
#define SM_USER_LOGIN_TABLE			SM_USER_LOGIN_STATUS	SM_USER_LOGIN_TABLE_KEY
#define SM_USER_LOGIN_ENTRY			SM_USER_LOGIN_TABLE	SM_TABLE_ENTRY_KEY
#define SM_USER_LOGIN_INDEX			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_INDEX_KEY
#define SM_USER_LOGIN_USERNAME			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_USERNAME_KEY
#define SM_USER_LOGIN_USERID			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_USERID_KEY
#define SM_USER_LOGIN_TTY			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_TTY_KEY
#define SM_USER_LOGIN_LOGIN_TIME		SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_LOGIN_TIME_KEY
#define SM_USER_LOGIN_IDLE_TIME			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_IDLE_TIME_KEY
#define SM_USER_LOGIN_JCPU_TIME			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_JCPU_TIME_KEY
#define SM_USER_LOGIN_PCPU_TIME			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_PCPU_TIME_KEY
#define SM_USER_LOGIN_WHAT			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_WHAT_KEY
#define SM_USER_LOGIN_FROM			SM_USER_LOGIN_ENTRY	SM_USER_LOGIN_FROM_KEY

#define SM_PROCESS_STATUS			SM_MIB_OBJECTS		".7"
#define SM_LAST_UPDATE_PROCESS_STATUS		SM_PROCESS_STATUS	SM_LAST_UPDATE_MIB_KEY
#define SM_PROCESS_TOTAL_KEY						".2"
#define SM_PROCESS_TOTAL			SM_PROCESS_STATUS	SM_PROCESS_TOTAL_KEY
#define SM_PROCESS_RUNNING_KEY						".3"
#define SM_PROCESS_RUNNING			SM_PROCESS_STATUS	SM_PROCESS_RUNNING_KEY
#define SM_PROCESS_SLEEPING_KEY						".4"
#define SM_PROCESS_SLEEPING			SM_PROCESS_STATUS	SM_PROCESS_SLEEPING_KEY
#define SM_PROCESS_STOPPED_KEY						".5"
#define SM_PROCESS_STOPPED			SM_PROCESS_STATUS	SM_PROCESS_STOPPED_KEY
#define SM_PROCESS_ZOMBIE_KEY						".6"
#define SM_PROCESS_ZOMBIE			SM_PROCESS_STATUS	SM_PROCESS_ZOMBIE_KEY
#define SM_PROCESS_PID_KEY						".1"
#define SM_PROCESS_PPID_KEY						".2"
#define SM_PROCESS_EXE_KEY						".3"
#define SM_PROCESS_ARGS_KEY						".4"
#define SM_PROCESS_STATE_KEY						".5"
#define SM_PROCESS_VSIZE_KEY						".6"
#define SM_PROCESS_RSIZE_KEY						".7"
#define SM_PROCESS_START_TIME_KEY					".8"
#define SM_PROCESS_CPU_TIME_KEY						".9"
#define SM_PROCESS_USERID_KEY						".10"
#define SM_PROCESS_USERNAME_KEY						".11"
#define SM_PROCESS_GROUPID_KEY						".12"
#define SM_PROCESS_GROUPNAME_KEY					".13"
#define SM_PROCESS_EFFECTIVE_USERID_KEY					".14"
#define SM_PROCESS_EFFECTIVE_USERNAME_KEY				".15"
#define SM_PROCESS_EFFECTIVE_GROUPID_KEY				".16"
#define SM_PROCESS_EFFECTIVE_GROUPNAME_KEY				".17"
#define SM_PROCESS_NICE_KEY						".18"
#define SM_PROCESS_CPU_PERCENT_KEY					".19"
#define SM_PROCESS_TABLE_KEY						".7"
#define SM_PROCESS_TABLE			SM_PROCESS_STATUS	SM_PROCESS_TABLE_KEY
#define SM_PROCESS_ENTRY			SM_PROCESS_TABLE	SM_TABLE_ENTRY_KEY
#define SM_PROCESS_PID				SM_PROCESS_ENTRY	SM_PROCESS_PID_KEY
#define SM_PROCESS_PPID				SM_PROCESS_ENTRY	SM_PROCESS_PPID_KEY
#define SM_PROCESS_EXE				SM_PROCESS_ENTRY	SM_PROCESS_EXE_KEY
#define SM_PROCESS_ARGS				SM_PROCESS_ENTRY	SM_PROCESS_ARGS_KEY
#define SM_PROCESS_STATE			SM_PROCESS_ENTRY	SM_PROCESS_STATE_KEY
#define SM_PROCESS_VSIZE			SM_PROCESS_ENTRY	SM_PROCESS_VSIZE_KEY
#define SM_PROCESS_RSIZE			SM_PROCESS_ENTRY	SM_PROCESS_RSIZE_KEY
#define SM_PROCESS_START_TIME			SM_PROCESS_ENTRY	SM_PROCESS_START_TIME_KEY
#define SM_PROCESS_CPU_TIME			SM_PROCESS_ENTRY	SM_PROCESS_CPU_TIME_KEY
#define SM_PROCESS_USERID			SM_PROCESS_ENTRY	SM_PROCESS_USERID_KEY
#define SM_PROCESS_USERNAME			SM_PROCESS_ENTRY	SM_PROCESS_USERNAME_KEY
#define SM_PROCESS_GROUPID			SM_PROCESS_ENTRY	SM_PROCESS_GROUPID_KEY
#define SM_PROCESS_GROUPNAME			SM_PROCESS_ENTRY	SM_PROCESS_GROUPNAME_KEY
#define SM_PROCESS_EFFECTIVE_USERID		SM_PROCESS_ENTRY	SM_PROCESS_EFFECTIVE_USERID_KEY
#define SM_PROCESS_EFFECTIVE_USERNAME		SM_PROCESS_ENTRY	SM_PROCESS_EFFECTIVE_USERNAME_KEY
#define SM_PROCESS_EFFECTIVE_GROUPID		SM_PROCESS_ENTRY	SM_PROCESS_EFFECTIVE_GROUPID_KEY
#define SM_PROCESS_EFFECTIVE_GROUPNAME		SM_PROCESS_ENTRY	SM_PROCESS_EFFECTIVE_GROUPNAME_KEY
#define SM_PROCESS_NICE				SM_PROCESS_ENTRY	SM_PROCESS_NICE_KEY
#define SM_PROCESS_CPU_PERCENT			SM_PROCESS_ENTRY	SM_PROCESS_CPU_PERCENT_KEY

#define SM_FILE_SYSTEM_USAGE			SM_MIB_OBJECTS		".8"
#define SM_LAST_UPDATE_FILE_SYSTEM_USAGE	SM_FILE_SYSTEM_USAGE	SM_LAST_UPDATE_MIB_KEY
#define SM_FILE_SYSTEM_COUNT_KEY					".2"
#define SM_FILE_SYSTEM_COUNT			SM_FILE_SYSTEM_USAGE	SM_FILE_SYSTEM_COUNT_KEY
#define SM_FILE_SYSTEM_TABLE_KEY					".3"
#define SM_FILE_SYSTEM_TABLE			SM_FILE_SYSTEM_USAGE	SM_FILE_SYSTEM_TABLE_KEY
#define SM_FILE_SYSTEM_ENTRY			SM_FILE_SYSTEM_TABLE	SM_TABLE_ENTRY_KEY
#define SM_FILE_SYSTEM_INDEX_KEY					".1"
#define SM_FILE_SYSTEM_MOUNTPOINT_KEY					".2"
#define SM_FILE_SYSTEM_DEVICE_KEY					".3"
#define SM_FILE_SYSTEM_OPTIONS_KEY					".4"
#define SM_FILE_SYSTEM_TYPE_KEY						".5"
#define SM_FILE_SYSTEM_DEVICE_TYPE_KEY					".6"
#define SM_FILE_SYSTEM_TOTAL_KEY					".7"
#define SM_FILE_SYSTEM_USED_KEY						".8"
#define SM_FILE_SYSTEM_FREE_KEY						".9"
#define SM_FILE_SYSTEM_AVAIL_KEY					".10"
#define SM_FILE_SYSTEM_INODES_TOTAL_KEY					".11"
#define SM_FILE_SYSTEM_INODES_USED_KEY					".12"
#define SM_FILE_SYSTEM_INODES_FREE_KEY					".13"
#define SM_FILE_SYSTEM_INODES_AVAIL_KEY					".14"
#define SM_FILE_SYSTEM_BLOCKS_TOTAL_KEY					".15"
#define SM_FILE_SYSTEM_BLOCKS_USED_KEY					".16"
#define SM_FILE_SYSTEM_BLOCKS_FREE_KEY					".17"
#define SM_FILE_SYSTEM_BLOCKS_AVAIL_KEY					".18"
#define SM_FILE_SYSTEM_BLOCK_SIZE_KEY					".19"
#define SM_FILE_SYSTEM_IO_SIZE_KEY					".20"
#define SM_FILE_SYSTEM_INDEX			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_INDEX_KEY
#define SM_FILE_SYSTEM_MOUNTPOINT		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_MOUNTPOINT_KEY
#define SM_FILE_SYSTEM_DEVICE			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_DEVICE_KEY
#define SM_FILE_SYSTEM_OPTIONS			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_OPTIONS_KEY
#define SM_FILE_SYSTEM_TYPE			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_TYPE_KEY
#define SM_FILE_SYSTEM_DEVICE_TYPE		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_DEVICE_TYPE_KEY
#define SM_FILE_SYSTEM_TOTAL			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_TOTAL_KEY
#define SM_FILE_SYSTEM_USED			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_USED_KEY
#define SM_FILE_SYSTEM_FREE			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_FREE_KEY
#define SM_FILE_SYSTEM_AVAIL			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_AVAIL_KEY
#define SM_FILE_SYSTEM_INODES_TOTAL		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_INODES_TOTAL_KEY
#define SM_FILE_SYSTEM_INODES_USED		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_INODES_USED_KEY
#define SM_FILE_SYSTEM_INODES_FREE		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_INODES_FREE_KEY
#define SM_FILE_SYSTEM_INODES_AVAIL		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_INODES_AVAIL_KEY
#define SM_FILE_SYSTEM_BLOCKS_TOTAL		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_BLOCKS_TOTAL_KEY
#define SM_FILE_SYSTEM_BLOCKS_USED		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_BLOCKS_USED_KEY
#define SM_FILE_SYSTEM_BLOCKS_FREE		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_BLOCKS_FREE_KEY
#define SM_FILE_SYSTEM_BLOCKS_AVAIL		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_BLOCKS_AVAIL_KEY
#define SM_FILE_SYSTEM_BLOCK_SIZE		SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_BLOCK_SIZE_KEY
#define SM_FILE_SYSTEM_IO_SIZE			SM_FILE_SYSTEM_ENTRY	SM_FILE_SYSTEM_IO_SIZE_KEY

#define SM_DISK_IO_STATUS			SM_MIB_OBJECTS		".20"
#define SM_LAST_UPDATE_DISK_IO_STATUS		SM_DISK_IO_STATUS	SM_LAST_UPDATE_MIB_KEY
#define SM_DISK_IO_COUNT_KEY						".2"
#define SM_DISK_IO_COUNT			SM_DISK_IO_STATUS	SM_DISK_IO_COUNT_KEY
#define SM_DISK_IO_TOTAL_TABLE_KEY					".3"
#define SM_DISK_IO_TOTAL_TABLE			SM_DISK_IO_STATUS	SM_DISK_IO_TOTAL_TABLE_KEY
#define SM_DISK_IO_TOTAL_ENTRY			SM_DISK_IO_TOTAL_TABLE	SM_TABLE_ENTRY_KEY
#define SM_DISK_IO_TABLE_INDEX_KEY					".1"
#define SM_DISK_IO_TABLE_DISKNAME_KEY					".2"
#define SM_DISK_IO_TABLE_READ_BYTES_KEY					".3"
#define SM_DISK_IO_TABLE_WRIT_BYTES_KEY					".4"
#define SM_DISK_IO_TOTAL_TABLE_INDEX_COL	SM_DISK_IO_TOTAL_ENTRY	SM_DISK_IO_TABLE_INDEX_KEY
#define SM_DISK_IO_TOTAL_TABLE_DISKNAME_COL	SM_DISK_IO_TOTAL_ENTRY	SM_DISK_IO_TABLE_DISKNAME_KEY
#define SM_DISK_IO_TOTAL_TABLE_READ_BYTES_COL	SM_DISK_IO_TOTAL_ENTRY	SM_DISK_IO_TABLE_READ_BYTES_KEY
#define SM_DISK_IO_TOTAL_TABLE_WRIT_BYTES_COL	SM_DISK_IO_TOTAL_ENTRY	SM_DISK_IO_TABLE_WRIT_BYTES_KEY
#define SM_DISK_IO_INTERVAL_FROM_KEY					".4"
#define SM_DISK_IO_INTERVAL_FROM		SM_DISK_IO_STATUS	SM_DISK_IO_INTERVAL_FROM_KEY
#define SM_DISK_IO_INTERVAL_UNTIL_KEY					".5"
#define SM_DISK_IO_INTERVAL_UNTIL		SM_DISK_IO_STATUS	SM_DISK_IO_INTERVAL_UNTIL_KEY
#define SM_DISK_IO_INTERVAL_TABLE_KEY					".6"
#define SM_DISK_IO_INTERVAL_TABLE		SM_DISK_IO_STATUS	SM_DISK_IO_INTERVAL_TABLE_KEY
#define SM_DISK_IO_INTERVAL_ENTRY		SM_DISK_IO_INTERVAL_TABLE	SM_TABLE_ENTRY_KEY
#define SM_DISK_IO_INTERVAL_TABLE_INDEX_COL	SM_DISK_IO_INTERVAL_ENTRY	SM_DISK_IO_TABLE_INDEX_KEY
#define SM_DISK_IO_INTERVAL_TABLE_DISKNAME_COL	SM_DISK_IO_INTERVAL_ENTRY	SM_DISK_IO_TABLE_DISKNAME_KEY
#define SM_DISK_IO_INTERVAL_TABLE_READ_BYTES_COL	SM_DISK_IO_INTERVAL_ENTRY	SM_DISK_IO_TABLE_READ_BYTES_KEY
#define SM_DISK_IO_INTERVAL_TABLE_WRIT_BYTES_COL	SM_DISK_IO_INTERVAL_ENTRY	SM_DISK_IO_TABLE_WRIT_BYTES_KEY

#define SM_NETWORK_IO_STATUS			SM_MIB_OBJECTS		".21"
#define SM_LAST_UPDATE_NETWORK_IO_STATUS	SM_NETWORK_IO_STATUS	SM_LAST_UPDATE_MIB_KEY
#define SM_NETWORK_IO_COUNT_KEY						".2"
#define SM_NETWORK_IO_COUNT			SM_NETWORK_IO_STATUS	SM_NETWORK_IO_COUNT_KEY
#define SM_NETWORK_IO_INDEX_KEY						".1"
#define SM_NETWORK_IO_INTERFACE_KEY					".2"
#define SM_NETWORK_IO_TRANSMITTED_KEY					".3"
#define SM_NETWORK_IO_RECEIVED_KEY					".4"
#define SM_NETWORK_IO_INPKTS_KEY					".5"
#define SM_NETWORK_IO_OUTPKTS_KEY					".6"
#define SM_NETWORK_IO_INERRORS_KEY					".7"
#define SM_NETWORK_IO_OUTERRORS_KEY					".8"
#define SM_NETWORK_IO_COLLISIONS_KEY					".9"
#define SM_NETWORK_IO_TABLE_KEY						".3"
#define SM_NETWORK_IO_TABLE			SM_NETWORK_IO_STATUS	SM_NETWORK_IO_TABLE_KEY
#define SM_NETWORK_IO_ENTRY			SM_NETWORK_IO_TABLE	SM_TABLE_ENTRY_KEY
#define SM_NETWORK_IO_INDEX			SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_INDEX_KEY
#define SM_NETWORK_IO_INTERFACE			SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_INTERFACE_KEY
#define SM_NETWORK_IO_TRANSMITTED		SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_TRANSMITTED_KEY
#define SM_NETWORK_IO_RECEIVED			SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_RECEIVED_KEY
#define SM_NETWORK_IO_INPKTS			SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_INPKTS_KEY
#define SM_NETWORK_IO_OUTPKTS			SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_OUTPKTS_KEY
#define SM_NETWORK_IO_INERRORS			SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_INERRORS_KEY
#define SM_NETWORK_IO_OUTERRORS			SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_OUTERRORS_KEY
#define SM_NETWORK_IO_COLLISIONS		SM_NETWORK_IO_ENTRY	SM_NETWORK_IO_COLLISIONS_KEY
#define SM_NETWORK_IO_INTERVAL_FROM_KEY					".4"
#define SM_NETWORK_IO_INTERVAL_FROM		SM_NETWORK_IO_STATUS	SM_NETWORK_IO_INTERVAL_FROM_KEY
#define SM_NETWORK_IO_INTERVAL_UNTIL_KEY				".5"
#define SM_NETWORK_IO_INTERVAL_UNTIL		SM_NETWORK_IO_STATUS	SM_NETWORK_IO_INTERVAL_UNTIL_KEY
#define SM_NETWORK_IO_INTERVAL_TABLE_KEY				".6"
#define SM_NETWORK_IO_INTERVAL_TABLE		SM_NETWORK_IO_STATUS	SM_NETWORK_IO_INTERVAL_TABLE_KEY
#define SM_NETWORK_IO_INTERVAL_ENTRY		SM_NETWORK_IO_INTERVAL_TABLE	SM_TABLE_ENTRY_KEY
#define SM_NETWORK_IO_INTERVAL_INDEX		SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_INDEX_KEY
#define SM_NETWORK_IO_INTERVAL_INTERFACE	SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_INTERFACE_KEY
#define SM_NETWORK_IO_INTERVAL_TRANSMITTED	SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_TRANSMITTED_KEY
#define SM_NETWORK_IO_INTERVAL_RECEIVED		SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_RECEIVED_KEY
#define SM_NETWORK_IO_INTERVAL_INPKTS		SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_INPKTS_KEY
#define SM_NETWORK_IO_INTERVAL_OUTPKTS		SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_OUTPKTS_KEY
#define SM_NETWORK_IO_INTERVAL_INERRORS		SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_INERRORS_KEY
#define SM_NETWORK_IO_INTERVAL_OUTERRORS	SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_OUTERRORS_KEY
#define SM_NETWORK_IO_INTERVAL_COLLISIONS	SM_NETWORK_IO_INTERVAL_ENTRY	SM_NETWORK_IO_COLLISIONS_KEY

#define SM_SWAP_IO_STATUS			SM_MIB_OBJECTS		".22"
#define SM_LAST_UPDATE_SWAP_IO_STATUS		SM_SWAP_IO_STATUS	SM_LAST_UPDATE_MIB_KEY
#define SM_SWAP_IO_INTERVAL_FROM_KEY					".2"
#define SM_SWAP_IO_INTERVAL_FROM		SM_SWAP_IO_STATUS	SM_SWAP_IO_INTERVAL_FROM_KEY
#define SM_SWAP_IO_INTERVAL_UNTIL_KEY					".3"
#define SM_SWAP_IO_INTERVAL_UNTIL		SM_SWAP_IO_STATUS	SM_SWAP_IO_INTERVAL_UNTIL_KEY
#define SM_SWAP_IO_TOTAL_KEY						".4"
#define SM_SWAP_IO_TOTAL			SM_SWAP_IO_STATUS	SM_SWAP_IO_TOTAL_KEY
#define SM_SWAP_PAGES_IN_TOTAL_KEY		SM_SWAP_IO_TOTAL_KEY	".1"
#define SM_SWAP_PAGES_IN_TOTAL			SM_SWAP_IO_STATUS	SM_SWAP_PAGES_IN_TOTAL_KEY
#define SM_SWAP_PAGES_OUT_TOTAL_KEY		SM_SWAP_IO_TOTAL_KEY	".2"
#define SM_SWAP_PAGES_OUT_TOTAL			SM_SWAP_IO_STATUS	SM_SWAP_PAGES_OUT_TOTAL_KEY
#define SM_SWAP_IO_INTERVAL_KEY						".5"
#define SM_SWAP_IO_INTERVAL			SM_SWAP_IO_STATUS	SM_SWAP_IO_INTERVAL_KEY
#define SM_SWAP_PAGES_IN_INTERVAL_KEY		SM_SWAP_IO_INTERVAL_KEY	".1"
#define SM_SWAP_PAGES_IN_INTERVAL		SM_SWAP_IO_STATUS	SM_SWAP_PAGES_IN_INTERVAL_KEY
#define SM_SWAP_PAGES_OUT_INTERVAL_KEY		SM_SWAP_IO_INTERVAL_KEY	".2"
#define SM_SWAP_PAGES_OUT_INTERVAL		SM_SWAP_IO_STATUS	SM_SWAP_PAGES_OUT_INTERVAL_KEY

#define SM_EXTERNAL_COMMANDS			SM_SMART_SNMPD_MIB	".20"

#define SM_LAST_UPDATE_EXTERNAL_COMMAND					"1"
#define SM_LAST_STARTED_EXTERNAL_COMMAND				"2"
#define SM_LAST_FINISHED_EXTERNAL_COMMAND				"3"
#define SM_EXTERNAL_COMMAND_COMMAND_PATH				"4"
#define SM_EXTERNAL_COMMAND_COMMAND_LINE				"5"
#define SM_EXTERNAL_COMMAND_USER					"6"
#define SM_EXTERNAL_COMMAND_LAST_EXIT_CODE				"7"
#define SM_EXTERNAL_COMMAND_LAST_EXIT_SIGNAL				"8"
#define SM_EXTERNAL_COMMAND_ERROR_CODE					"9"
#define SM_EXTERNAL_COMMAND_ERROR_MESSAGE				"10"
#define SM_EXTERNAL_COMMAND_DATA					"100"

#define SM_APP_MONITORING			SM_EXTERNAL_COMMANDS	".1"

#define SM_DAIMLER_MIB				MIB_ENTERPRISE		".2916"

#endif /* ?__SMART_SNMPD_OIDS_H_INCLUDED__ */
